# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/dot /usr/bin/makedeltarpm gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name drpm
%global _hardened_build 1

%define major         0
%define libname       lib%{name}%{major}
%define libname_devel lib%{name}-devel

Name:           drpm
Version:        0.5.2
Release:        alt1_1
Summary:        A small library for fetching information from DeltaRPM packages
Group:          System/Libraries
License:        LGPLv2+
URL:            https://github.com/rpm-software-management/%{name}
Source0:        https://github.com/rpm-software-management/%{name}/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  pkgconfig(rpm)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libzstd)

BuildRequires:  ccmake cmake ctest
BuildRequires:  pkgconfig(cmocka) >= 1.0
%ifnarch aarch64
BuildRequires:  valgrind
%endif
BuildRequires:  doxygen
Source44: import.info

%package -n %{libname}
Summary:        A small library for fetching information from DeltaRPM packages
Group:          System/Libraries

%package -n %{libname_devel}
Summary:        C interface for the drpm library
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description
The drpm package provides a small library allowing one to fetch
various info from DeltaRPM packages.

%description -n %{libname}
This package provides a small library allowing one to fetch
information from DeltaRPM packages.

%description -n %{libname_devel}
This package provides a C interface (drpm.h) for the drpm library.

%prep
%setup -q


%build
%{mageia_cmake}
%mageia_cmake_build

%install
%mageia_cmake_install

%check
#{mageia_ctest}

%files -n %{libname}
%{_libdir}/libdrpm.so.%{major}
%{_libdir}/libdrpm.so.%{major}.*
%doc --no-dereference COPYING

%files -n %{libname_devel}
%{_libdir}/libdrpm.so
%{_includedir}/drpm.h
%{_libdir}/pkgconfig/drpm.pc



%changelog
* Thu Nov 23 2023 Igor Vlasenko <viy@altlinux.org> 0.5.2-alt1_1
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.5.1-alt1_2
- update by mgaimport

* Thu Oct 14 2021 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt1_2
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_1
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_2
- update by mgaimport

* Fri Dec 27 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_1
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_3
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_2
- new version

